Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]
Groups > linux.kernel > #1646209 > unrolled thread
| Started by | Rob Landley <rob@landley.net> |
|---|---|
| First post | 2017-05-20 22:10 +0200 |
| Last post | 2017-05-21 13:20 +0200 |
| Articles | 3 — 3 participants |
Back to article view | Back to linux.kernel
[PATCH] Make x86 use $TARGET-readelf like all the other arches. Rob Landley <rob@landley.net> - 2017-05-20 22:10 +0200
Re: [PATCH] Make x86 use $TARGET-readelf like all the other arches. Kees Cook <keescook@chromium.org> - 2017-05-21 01:50 +0200
[tip:x86/urgent] x86/boot: Use CROSS_COMPILE prefix for readelf tip-bot for Rob Landley <tipbot@zytor.com> - 2017-05-21 13:20 +0200
| From | Rob Landley <rob@landley.net> |
|---|---|
| Date | 2017-05-20 22:10 +0200 |
| Subject | [PATCH] Make x86 use $TARGET-readelf like all the other arches. |
| Message-ID | <tJiRj-65n-9@gated-at.bofh.it> |
From: Rob Landley <rob@landley.net>
My cross-compile environment doesn't provide an unprefixed
readelf in the $PATH, which works fine on every target but x86,
where you get a bunch of "/bin/sh: 1: readelf: not found"
messages (but the result still works anyway).
Signed-off-by: Rob Landley <rob@landley.net>
---
arch/x86/boot/compressed/Makefile | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/arch/x86/boot/compressed/Makefile b/arch/x86/boot/compressed/Makefile
index 44163e8..2c860ad 100644
--- a/arch/x86/boot/compressed/Makefile
+++ b/arch/x86/boot/compressed/Makefile
@@ -94,7 +94,7 @@ vmlinux-objs-$(CONFIG_EFI_MIXED) += $(obj)/efi_thunk_$(BITS).o
quiet_cmd_check_data_rel = DATAREL $@
define cmd_check_data_rel
for obj in $(filter %.o,$^); do \
- readelf -S $$obj | grep -qF .rel.local && { \
+ ${CROSS_COMPILE}readelf -S $$obj | grep -qF .rel.local && { \
echo "error: $$obj has data relocations!" >&2; \
exit 1; \
} || true; \
[toc] | [next] | [standalone]
| From | Kees Cook <keescook@chromium.org> |
|---|---|
| Date | 2017-05-21 01:50 +0200 |
| Message-ID | <tJmie-88P-1@gated-at.bofh.it> |
| In reply to | #1646209 |
On Sat, May 20, 2017 at 1:03 PM, Rob Landley <rob@landley.net> wrote:
> From: Rob Landley <rob@landley.net>
>
> My cross-compile environment doesn't provide an unprefixed
> readelf in the $PATH, which works fine on every target but x86,
> where you get a bunch of "/bin/sh: 1: readelf: not found"
> messages (but the result still works anyway).
>
> Signed-off-by: Rob Landley <rob@landley.net>
Ooops, thanks for the catch!
Acked-by: Kees Cook <keescook@chromium.org>
-Kees
> ---
>
> arch/x86/boot/compressed/Makefile | 2 +-
> 1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/arch/x86/boot/compressed/Makefile b/arch/x86/boot/compressed/Makefile
> index 44163e8..2c860ad 100644
> --- a/arch/x86/boot/compressed/Makefile
> +++ b/arch/x86/boot/compressed/Makefile
> @@ -94,7 +94,7 @@ vmlinux-objs-$(CONFIG_EFI_MIXED) += $(obj)/efi_thunk_$(BITS).o
> quiet_cmd_check_data_rel = DATAREL $@
> define cmd_check_data_rel
> for obj in $(filter %.o,$^); do \
> - readelf -S $$obj | grep -qF .rel.local && { \
> + ${CROSS_COMPILE}readelf -S $$obj | grep -qF .rel.local && { \
> echo "error: $$obj has data relocations!" >&2; \
> exit 1; \
> } || true; \
--
Kees Cook
Pixel Security
[toc] | [prev] | [next] | [standalone]
| From | tip-bot for Rob Landley <tipbot@zytor.com> |
|---|---|
| Date | 2017-05-21 13:20 +0200 |
| Subject | [tip:x86/urgent] x86/boot: Use CROSS_COMPILE prefix for readelf |
| Message-ID | <tJx3X-75V-9@gated-at.bofh.it> |
| In reply to | #1646209 |
Commit-ID: 3780578761921f094179c6289072a74b2228c602
Gitweb: http://git.kernel.org/tip/3780578761921f094179c6289072a74b2228c602
Author: Rob Landley <rob@landley.net>
AuthorDate: Sat, 20 May 2017 15:03:29 -0500
Committer: Thomas Gleixner <tglx@linutronix.de>
CommitDate: Sun, 21 May 2017 13:04:27 +0200
x86/boot: Use CROSS_COMPILE prefix for readelf
The boot code Makefile contains a straight 'readelf' invocation. This
causes build warnings in cross compile environments, when there is no
unprefixed readelf accessible via $PATH.
Add the missing $(CROSS_COMPILE) prefix.
[ tglx: Rewrote changelog ]
Fixes: 98f78525371b ("x86/boot: Refuse to build with data relocations")
Signed-off-by: Rob Landley <rob@landley.net>
Acked-by: Kees Cook <keescook@chromium.org>
Cc: Jiri Kosina <jkosina@suse.cz>
Cc: Paul Bolle <pebolle@tiscali.nl>
Cc: "H.J. Lu" <hjl.tools@gmail.com>
Cc: stable@vger.kernel.org
Link: http://lkml.kernel.org/r/ced18878-693a-9576-a024-113ef39a22c0@landley.net
Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
---
arch/x86/boot/compressed/Makefile | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/arch/x86/boot/compressed/Makefile b/arch/x86/boot/compressed/Makefile
index 44163e8..2c860ad 100644
--- a/arch/x86/boot/compressed/Makefile
+++ b/arch/x86/boot/compressed/Makefile
@@ -94,7 +94,7 @@ vmlinux-objs-$(CONFIG_EFI_MIXED) += $(obj)/efi_thunk_$(BITS).o
quiet_cmd_check_data_rel = DATAREL $@
define cmd_check_data_rel
for obj in $(filter %.o,$^); do \
- readelf -S $$obj | grep -qF .rel.local && { \
+ ${CROSS_COMPILE}readelf -S $$obj | grep -qF .rel.local && { \
echo "error: $$obj has data relocations!" >&2; \
exit 1; \
} || true; \
[toc] | [prev] | [standalone]
Back to top | Article view | linux.kernel
csiph-web